apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-hubble-oauth2-ingress
  namespace: kube-system
spec:
  description: Allow Hubble OAuth2 ingress
  endpointSelector:
    matchLabels:
      k8s-app: oauth2-proxy
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: ingress-nginx
